[Testing Update x32] 2018-05-17 to 26 - Xorg 1.20, GCC 8.1.0, rebuilds, kernels, NVIDIA EOL

update
testing
manjaro32

#21

assuming that you’re on testing and NOT on stable:

  • you’ll have to update the database (sudo pacman -Syyu or via pamac) whilst also downloading from an up-to-date mirrorlist or even just one mirror (you can see a list of up-to-date mirrors on repo.manjaro.org);
  • as for gimp (and this is also worth for those in the unstable branch as the stable one only has 2.8.22), i downloaded those two packages (libmypaint and mypaint-brushes) from the archlinux32 repos, installed them via pamac and then installed gimp and for my surprise, it worked. slow as hell (or it might be because it was gimp’s first run), as i’ve got manjaro mate installed on a crap toshiba intel-atom laptop, but it works like a charm!

Update Fehlgeschlagen - libmypaint, mypaint-brushes, gimp
#22

Can confirm that problem with gimp still exists.

warning: cannot resolve "libmypaint", a dependency of "gimp"
warning: cannot resolve "mypaint-brushes", a dependency of "gimp"
:: The following package cannot be upgraded due to unresolvable dependencies:
      gimp

If libmypaint and mypaint-brushes exists in archlinux32, then they can be attached to manjaro32 repos ?


#23

I think this could also be the reason why the official firefox 60.0.1.tar for linux doesn’t play videos anymore, everything else like browsing works fine but while playing video you get error, something like HTML5 format not supported or could not find. Can anyone else confirm it?


#24

They can be installed by pacman -U at your own risk.
This means that you make a backup or a snapshot of your system, have the majaro version of the package in your cache to undo the isntallation.

But I think it is better to add gimp to the ignore list for updates and wait for a notice here when the issue is resolved. In /etc/pacman.conf set
IgnorePkg = gimp

Update: downgrade gimp gives this output:

~ >>> downgrade gimp                                                                                                                                                                                                                        
Available packages:

   1) gimp-2.8.22-1-i686.pkg.tar.xz (remote)
   2) gimp-2.8.20-1-i686.pkg.tar.xz (remote)
   3) gimp-2.8.18-5-i686.pkg.tar.xz (remote)
   4) gimp-2.8.18-4-i686.pkg.tar.xz (remote)
   5) gimp-2.8.18-3-i686.pkg.tar.xz (remote)
   6) gimp-2.8.18-2-i686.pkg.tar.xz (remote)
   7) gimp-2.8.18-1-i686.pkg.tar.xz (remote)
   8) gimp-2.8.16-2-i686.pkg.tar.xz (remote)
   9) gimp-2.8.16-1-i686.pkg.tar.xz (remote)
  10) gimp-2.8.14-4-i686.pkg.tar.xz (remote)
  11) gimp-2.8.14-3-i686.pkg.tar.xz (remote)
  12) gimp-2.8.14-2-i686.pkg.tar.xz (remote)
  13) gimp-2.8.14-1-i686.pkg.tar.xz (remote)
  14) gimp-2.8.10-1-i686.pkg.tar.xz (remote)
  15) gimp-2.8.8-1-i686.pkg.tar.xz (remote)
  16) gimp-2.8.6-2-i686.pkg.tar.xz (remote)

select a package by number: 1
 gimp-2.8.22-1-i686                                                                                                    12.3 MiB   358K/s 00:35 [#######################################################################################] 100%
 gimp-2.8.22-1-i686.sig                                                                                               325.0   B  0.00B/s 00:00 [#######################################################################################] 100%
loading packages...
resolving dependencies...
looking for conflicting packages...

Packages (15) babl-0.1.46-2.0  gegl02-0.2.0-8.0  gsfonts-20170829-1  ilmbase-2.2.1-1.0  lcms-1.19-7.0  libglade-2.6.4-5  libmng-2.0.3-1  libspiro-1:0.5.20150702-1.1  libwmf-0.2.8.4-14  openexr-2.2.1-1.0  pygobject2-devel-2.28.7-1.0
              pygtk-2.24.0-8.0  python2-cairo-1.17.0-1.0  python2-gobject2-2.28.7-1.0  gimp-2.8.22-1

Total Download Size:    6.70 MiB
Total Installed Size:  90.81 MiB

:: Proceed with installation? [Y/n] 

The issue is I think that gimp-2.10.0-6.0 is from archlinux32 testing:
https://packages.archlinux32.org/testing/i686/gimp/
The new dependencies are also in archlinux32 testing:
https://packages.archlinux32.org/testing/i686/libmypaint/
https://packages.archlinux32.org/testing/any/mypaint-brushes/
So, it’s a matter of time when they get available and the problems get resolved.


[manjaro32] Out-of-date Manjaro package report
#25

Hmm. The arch32 repos might have had some more cleaning. I’ve done a full re-sync and there’s a number of removed packages. Some of these “removed” packages are still visible on packages.archlinux32.org so… hmm. Another full resync methinks.

The issue with the GIMP dependencies is that they’re not in the “normal” repos yet so my merge script doesn’t know where they should go. That’s something to improve.


#26

OK, here’s the result of a full re-sync. Bonus of kernel updates too:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux414          4.14.40-1.0            4.14.42-1
                    linux414-headers          4.14.40-1.0            4.14.42-1
                             linux44          4.4.131-2.0            4.4.132-1
                     linux44-headers          4.4.131-2.0            4.4.132-1
                             linux49           4.9.99-1.0            4.9.101-1
                     linux49-headers           4.9.99-1.0            4.9.101-1
                           procps-ng           3.3.14-1.1           3.3.15-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
   linux316-virtualbox-guest-modules             5.2.10-1             5.2.12-1
    linux316-virtualbox-host-modules             5.2.10-1             5.2.12-1
    linux41-virtualbox-guest-modules             5.2.10-1             5.2.12-1
     linux41-virtualbox-host-modules             5.2.10-1             5.2.12-1
                  linux414-acpi_call           1.1.0-37.0             1.1.0-38
                   linux414-bbswitch             0.8-37.0               0.8-38
                linux414-broadcom-wl    6.30.223.271-37.0      6.30.223.271-38
                linux414-ndiswrapper            1.61-37.0              1.61-38
               linux414-nvidia-304xx       1:304.137-37.0         1:304.137-38
               linux414-nvidia-340xx         340.106-25.0           340.106-26
                      linux414-r8168        8.045.08-25.0          8.045.08-26
                  linux414-rt3562sta      2.4.1.1_r4-37.0        2.4.1.1_r4-38
                        linux414-spl            0.7.9-1.0              0.7.9-2
                   linux414-tp_smapi            0.41-37.0              0.41-38
                linux414-vhba-module        20161009-37.0          20161009-38
   linux414-virtualbox-guest-modules             5.2.10-5             5.2.12-2
    linux414-virtualbox-host-modules             5.2.10-5             5.2.12-2
                        linux414-zfs            0.7.9-1.0              0.7.9-2
                   linux44-acpi_call             1.1.0-93             1.1.0-94
                 linux44-broadcom-wl      6.30.223.271-63      6.30.223.271-64
                 linux44-ndiswrapper              1.61-61              1.61-62
                linux44-nvidia-304xx         1:304.137-28         1:304.137-29
                linux44-nvidia-340xx           340.106-15           340.106-16
                       linux44-r8168          8.045.08-15          8.045.08-16
                   linux44-rt3562sta        2.4.1.1_r4-61        2.4.1.1_r4-62
                         linux44-spl              0.7.9-1              0.7.9-2
                 linux44-vhba-module          20161009-61          20161009-62
    linux44-virtualbox-guest-modules             5.2.10-3             5.2.12-2
     linux44-virtualbox-host-modules             5.2.10-3             5.2.12-2
                         linux44-zfs              0.7.9-1              0.7.9-2
                   linux49-acpi_call           1.1.0-77.0             1.1.0-78
                    linux49-bbswitch             0.8-77.0               0.8-78
                 linux49-broadcom-wl    6.30.223.271-77.0      6.30.223.271-78
                 linux49-ndiswrapper            1.61-75.0              1.61-76
                linux49-nvidia-304xx       1:304.137-36.0         1:304.137-37
                linux49-nvidia-340xx         340.106-17.0           340.106-18
                       linux49-r8168        8.045.08-17.0          8.045.08-18
                   linux49-rt3562sta      2.4.1.1_r4-75.0        2.4.1.1_r4-76
                         linux49-spl            0.7.9-1.0              0.7.9-2
                    linux49-tp_smapi            0.41-77.0              0.41-78
                 linux49-vhba-module        20161009-75.0          20161009-76
    linux49-virtualbox-guest-modules             5.2.10-4             5.2.12-2
     linux49-virtualbox-host-modules             5.2.10-4             5.2.12-2
                         linux49-zfs            0.7.9-1.0              0.7.9-2
                   mhwd-nvidia-304xx          1:304.137-5          1:304.137-6
                   mhwd-nvidia-340xx            340.106-3            340.106-4
                   mhwd-nvidia-390xx           390.48-1.1             390.59-1
                   ndiswrapper-utils              1.61-37              1.61-38
                  nvidia-304xx-utils          1:304.137-5          1:304.137-6
                  nvidia-340xx-utils            340.106-3            340.106-4
                  nvidia-390xx-utils           390.48-1.1             390.59-1
                 opencl-nvidia-304xx          1:304.137-5          1:304.137-6
                 opencl-nvidia-340xx            340.106-3            340.106-4
                 opencl-nvidia-390xx           390.48-1.1             390.59-1
                    rt3562sta-common        2.4.1.1_r4-75        2.4.1.1_r4-76
                                 gdm                    -           3.28.1-1.1
                              libgdm                    -           3.28.1-1.1


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                           archiso32                 31-4                    -
                          attica-qt5           5.42.0-1.0                    -
                        bigreqsproto              1.1.2-2                    -
                              c-ares             1.13.0-1           1.14.0-1.0
                   clang-tools-extra            5.0.1-2.0                    -
                             clang35              3.5.2-4                    -
                             clang39              3.9.1-3                    -
                               cmake           3.11.1-1.0           3.11.2-1.0
                      compositeproto              0.4.2-3                    -
                         damageproto              1.2.1-3                    -
                           debugedit          4.13.0rc1-1                    -
                                  di               4.44-1             4.46-1.0
                            dmxproto              2.3.1-3                    -
                           dri2proto                2.8-2                    -
                           dri3proto                1.0-1                    -
                              e_dbus             1.7.10-1                    -
                            epiphany         3.28.1.1-1.0         3.28.2.1-1.0
                                 feh           2.26.2-1.0           2.26.3-2.0
                          fixesproto     5.0+9+g4292ec1-1                    -
                          fonts-tlwg              0.6.4-1            0.6.5-1.0
                          fontsproto              2.1.3-2                    -
                                gksu              2.0.2-6                    -
                     glib-networking           2.56.0-1.0           2.56.1-1.0
                             glproto             1.4.17-1                    -
                      gnome-terminal           3.28.1-1.0           3.28.2-1.0
               gnome-themes-standard3.22.3+16+gc092fc89-1.0                    -
                    gnome-tweak-tool           3.26.4-1.0                    -
                             gnuplot              5.2.2-1            5.2.3-1.0
                                 gsm             1.0.17-1           1.0.18-1.0
                        imagemagick6         6.9.9.45-1.0         6.9.9.47-1.0
                              indent             2.2.11-4                    -
                          inputproto              2.3.2-1                    -
                           intel-tbb    2018_20171205-1.0    2018_20180312-1.0
                                js38           38.8.0-5.0                    -
                             kbproto              1.0.7-1                    -
                         libblockdev             2.16-1.0             2.17-3.0
                   libcloudproviders 0.2.5+9+g93dc5ea-1.0                    -
                             libgksu             2.0.12-8                    -
                  libhttpseverywhere            0.8.2-1.0                    -
                            libktnef          17.12.3-1.0                    -
                          libmagick6         6.9.9.45-1.0         6.9.9.47-1.0
                   libva-mesa-driver           18.0.3-4.1           18.0.4-1.0
                      linux-manpages               4.10-1                    -
                              llvm35              3.5.2-4                    -
                         llvm35-libs              3.5.2-4                    -
                              llvm39              3.9.1-3                    -
                         llvm39-libs              3.9.1-3                    -
                          lm_sensors              3.4.0-2            3.4.0-3.0
                            mencoder            38017-1.0            38101-1.0
                                mesa           18.0.3-4.1           18.0.4-1.0
                          mesa-vdpau           18.0.3-4.1           18.0.4-1.0
                             mplayer            38017-1.0            38101-1.0
                                mutt            1.9.5-1.0           1.10.0-1.0
                                naim         0.11.8.3.2-4                    -
              nautilus-open-terminal               0.20-3                    -
                                 ntp        4.2.8.p11-1.0        4.2.8.p11-2.0
                         nx-xcompext         3.5.0.33-2.0                    -
                         opencl-mesa           18.0.3-4.1           18.0.4-1.0
                                ovmf1:r21243.3858b4a1ff-1                    -
           perl-crypt-openssl-random               0.11-6             0.15-1.0
                         poppler-qt4             0.61.1-1                    -
                             postfix            3.3.0-3.0            3.3.1-1.0
                        presentproto                1.1-1                    -
                          printproto              1.0.5-3                    -
                 python-editdistance              0.3.1-1              0.4-1.0
                python2-editdistance              0.3.1-1              0.4-1.0
                                 qbs           1.11.0-3.0           1.11.1-1.0
                         qimageblitz              0.0.6-5                    -
                          randrproto              1.5.0-1                    -
                         recordproto             1.14.2-2                    -
                         renderproto             0.11.1-3                    -
                       resourceproto              1.2.0-3                    -
                      scrnsaverproto              1.2.2-2                    -
                         thunderbird           52.7.0-2.0           52.8.0-1.0
                 thunderbird-i18n-ar           52.7.0-1.0           52.8.0-1.0
                thunderbird-i18n-ast           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-be           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-bg           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-bn-bd           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-br           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-ca           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-cs           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-cy           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-da           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-de           52.7.0-1.0           52.8.0-1.0
                thunderbird-i18n-dsb           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-el           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-en-gb           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-en-us           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-es-ar           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-es-es           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-et           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-eu           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-fi           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-fr           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-fy-nl           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-ga-ie           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-gd           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-gl           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-he           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-hr           52.7.0-1.0           52.8.0-1.0
                thunderbird-i18n-hsb           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-hu           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-hy-am           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-id           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-is           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-it           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-ja           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-ko           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-lt           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-nb-no           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-nl           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-nn-no           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-pa-in           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-pl           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-pt-br           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-pt-pt           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-rm           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-ro           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-ru           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-si           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-sk           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-sl           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-sq           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-sr           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-sv-se           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-ta-lk           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-tr           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-uk           52.7.0-1.0           52.8.0-1.0
                 thunderbird-i18n-vi           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-zh-cn           52.7.0-1.0           52.8.0-1.0
              thunderbird-i18n-zh-tw           52.7.0-1.0           52.8.0-1.0
                                time                1.8-1              1.9-1.0
                                 uim            1.8.8-1.0            1.8.8-2.0
                                vala           0.40.4-1.0           0.40.6-1.0
                                  vc              1.3.2-2                    -
                                vice              3.1-2.0              3.2-1.0
                          videoproto              2.3.3-1                    -
                                 vte             0.28.2-8                    -
                          vte-common           0.52.1-1.0           0.52.2-1.0
                                vte3           0.52.1-1.0           0.52.2-1.0
                        vulkan-intel           18.0.3-4.1           18.0.4-1.0
                       vulkan-radeon           18.0.3-4.1           18.0.4-1.0
                          x2go-agent           3.5.0.33-1                    -
                         xcmiscproto              1.2.2-2                    -
                           xextproto              7.3.0-1                    -
                        xf86dgaproto                2.1-3                    -
                        xf86driproto              2.1.1-3                    -
                    xf86vidmodeproto              2.3.1-3                    -
                       xineramaproto              1.2.1-3                    -
                              xproto             7.0.31-1                    -


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                 amdgpu-experimental           20180301-1           20180518-1
            artwork-cinnamon-minimal           20180508-1           20180522-1
                           bumblebee             3.2.1-18             3.2.1-19
                 cinnamon-wallpapers           20180508-1           20180522-1
                   deepin-session-ui            4.3.7.3-1            4.3.7.3-2
                    gnome-wallpapers           20171125-1           20180521-1
                          i3-scripts           20180516-1           20180521-1
          manjaro-openbox-extra-skel            1.3.0.6-4             1.18.4-2
               manjaro-openbox-fonts                1.2-1               1.18-1
        manjaro-openbox-minimal-skel            1.3.0.6-4             1.18.4-2
         manjaro-webdad-settings-git        r20.36f410f-1        r22.3c72e0a-1
                        palemoon-bin             27.9.1-1             27.9.2-1
                    palemoon-i18n-ar             27.9.1-1             27.9.2-1
                    palemoon-i18n-bg             27.9.1-1             27.9.2-1
                    palemoon-i18n-cs             27.9.1-1             27.9.2-1
                    palemoon-i18n-da             27.9.1-1             27.9.2-1
                    palemoon-i18n-de             27.9.1-1             27.9.2-1
                    palemoon-i18n-el             27.9.1-1             27.9.2-1
                 palemoon-i18n-en-gb             27.9.1-1             27.9.2-1
                 palemoon-i18n-es-ar             27.9.1-1             27.9.2-1
                 palemoon-i18n-es-es             27.9.1-1             27.9.2-1
                 palemoon-i18n-es-mx             27.9.1-1             27.9.2-1
                    palemoon-i18n-fi             27.9.1-1             27.9.2-1
                    palemoon-i18n-fr             27.9.1-1             27.9.2-1
                    palemoon-i18n-gl             27.9.1-1             27.9.2-1
                    palemoon-i18n-hr             27.9.1-1             27.9.2-1
                    palemoon-i18n-hu             27.9.1-1             27.9.2-1
                    palemoon-i18n-id             27.9.1-1             27.9.2-1
                    palemoon-i18n-is             27.9.1-1             27.9.2-1
                    palemoon-i18n-it             27.9.1-1             27.9.2-1
                    palemoon-i18n-ja             27.9.1-1             27.9.2-1
                    palemoon-i18n-kn             27.9.1-1             27.9.2-1
                    palemoon-i18n-ko             27.9.1-1             27.9.2-1
                    palemoon-i18n-nl             27.9.1-1             27.9.2-1
                    palemoon-i18n-pl             27.9.1-1             27.9.2-1
                 palemoon-i18n-pt-br             27.9.1-1             27.9.2-1
                 palemoon-i18n-pt-pt             27.9.1-1             27.9.2-1
                    palemoon-i18n-ro             27.9.1-1             27.9.2-1
                    palemoon-i18n-ru             27.9.1-1             27.9.2-1
                    palemoon-i18n-sk             27.9.1-1             27.9.2-1
                    palemoon-i18n-sl             27.9.1-1             27.9.2-1
                    palemoon-i18n-sr             27.9.1-1             27.9.2-1
                 palemoon-i18n-sv-se             27.9.1-1             27.9.2-1
                    palemoon-i18n-tl             27.9.1-1             27.9.2-1
                    palemoon-i18n-tr             27.9.1-1             27.9.2-1
                    palemoon-i18n-uk             27.9.1-1             27.9.2-1
                    palemoon-i18n-vi             27.9.1-1             27.9.2-1
                 palemoon-i18n-zh-cn             27.9.1-1             27.9.2-1
                 palemoon-i18n-zh-tw             27.9.1-1             27.9.2-1
                        sddm-classic             0.15.0-2             0.15.0-3
                    vertex-maia-gtk3           20180429-1           20180519-1
                        vertex-theme           20180429-1           20180519-1
                  webdad-theming-git        r12.b7dc451-1        r13.3bfbe1c-1
                              xlogin      0.r11.a578cf2-1      0.r14.6e566b5-1
                                 yay              6.727-3              6.777-3
               cinnamon-translations                    -            3.6.4-0.1
manjaro-gnome-extension-settings-18.0                    -           20180521-1
         manjaro-gnome-settings-18.0                    -           20180521-1
     manjaro-openbox-grub-theme-18.0                    -                1.0-4
             manjaro-openbox-scripts                    -             1.18.4-2
          manjaro-openbox-theme-18.0                    -               1.18-1
         manjaro-openbox-theme-fonts                    -               1.18-1


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                          alienarena               7.66-2                    -
                     alienarena-data               7.66-1                    -
                             ansible            2.5.3-1.0            2.5.3-2.0
                 appstream-generator              0.6.4-1                    -
                           arrayfire              3.5.1-2                    -
                             aws-cli          1.15.21-1.0          1.15.24-1.0
                               bazel           0.11.1-1.0                    -
                              bcg729              1.0.4-1                    -
                           belle-sip              1.6.3-1                    -
                           blueberry           1.1.20-1.0            1.2.0-1.0
                           botan1.10            1.10.17-1                    -
                         btchip-udev                  2-2                    -
                           caja-gksu           1.20.0-1.0                    -
                          cellwriter              1.3.5-4            1.3.6-1.0
                            cinnamon            3.8.2-1.0            3.8.3-1.0
                                 cmt             1.16-6.0             1.16-7.0
                                coin             3.1.3-15                    -
                           cpanminus             1.7043-2           1.7044-1.0
               deepin-artwork-themes            15.12.4-1                    -
                                dfmt              0.5.0-4                    -
                                 dmd          1:2.074.0-1                    -
                      dnscrypt-proxy           2.0.14-1.0           2.0.14-2.0
                         dotnet-host            2.0.6-1.0                    -
                      dotnet-runtime            2.0.6-1.0                    -
                       doublecmd-qt4            0.8.1-1.0                    -
                              dtools            2.073.1-1                    -
                              dvdrip           0.98.11-13                    -
                           dvdrtools              0.3.1-4                    -
                              embree           2.17.3-1.0                    -
                        embree-sse42           2.17.1-1.0                    -
                         emby-server           3.2.36.0-1                    -
                          emscripten           1.38.0-1.0           1.38.1-1.0
                               envoy                 14-2                    -
                               eolie           0.9.31-1.0           0.9.34-1.0
                              fbdump              0.4.2-4                    -
                             fbgetty            0.1.698-5                    -
                              fbgrab                1.3-2                    -
                             fbpanel                7.0-2                    -
                                 fbv               1.0b-9                    -
                               fd-rs            6.2.0-1.0                    -
                              fldiff               1.1-10                    -
                           fox-devel             1.7.62-1                    -
                             fractal           0.1.28-1.0           0.1.29-1.0
                             freecad        0.16.6712-4.0                    -
                   freeradius-client              1.1.7-1                    -
                            freetalk                4.1-4                    -
                             freewrl          1:2.3.3.1-1                    -
                            fwupdate               10-2.0               11-1.0
                               gajim            1.0.2-1.0            1.0.3-1.0
                                gdal            2.2.4-4.0            2.3.0-1.0
                                geth              1.7.3-1                    -
                             gimmage              0.2.3-7                    -
                            gir-to-d             0.11.0-1                    -
                              gl-117              1.3.2-8                    -
                           glusterfs          1:4.0.1-1.0          1:4.0.2-1.0
                          gnormalize               0.63-7                    -
                        gnustep-back             0.25.1-2                    -
                         gnustep-gui             0.25.1-4                    -
                           gogglesmm            1.1.9-3.0                    -
           gpointing-device-settings              1.5.1-5                    -
                              gpsman            6.4.4.2-1                    -
                            gpsprune               18.6-2               19-1.0
                              gpxsee              5.9-1.0             5.11-1.0
                                  gq              1.3.4-8                    -
                               grace             5.1.25-6                    -
                                 grc             1.11.1-3                    -
                           gresolver             0.0.5-10                    -
                           gshutdown                0.2-5                    -
                        gst-devtools           1.12.4-1.0                    -
                        gst-validate           1.14.0-1.0           1.14.1-1.0
                   gtk-engine-aurora              1.5.1-5                    -
                          gtk2_prefs              0.4.1-5                    -
                      gtksourceview4            4.0.0-2.0            4.0.1-1.0
                            hashcash               1.22-5                    -
                            heimdall              1.4.2-1                    -
                           hex-a-hop              1.1.0-5                    -
                                  ht              2.1.0-5                    -
                        icewm-themes             1.2.26-4                    -
                             ico2xpm                1.3-2                    -
                                 id3               0.80-1                    -
                              imdbpy                5.1-1                    -
                             instead              3.1.2-1                    -
                    instead-launcher              0.7.0-1                    -
                   interlis-compiler              4.2.0-5                    -
                                inxi           2.3.56-1.0                    -
                         isapnptools               1.27-5                    -
                          ivtv-utils              1.4.1-7                    -
                                 iwd              0.2-1.0              0.2-2.0
                    java-atk-wrapper             0.33.2-1                    -
                             jenkins            2.122-1.0            2.124-1.0
                              jgmenu            0.8.2-1.0              0.9-1.0
                                judy              1.0.5-4                    -
                            latexila           3.26.1-2.0                    -
                         lazarus-qt4            1.8.0-1.0                    -
                                lcab             1.0b12-5                    -
                             libacpi                0.2-4                    -
                              libdaq              2.0.6-2                    -
                             libdlna             0.2.4-16                    -
                               libee              0.4.1-3                    -
                             libestr             0.1.10-1                    -
                         libfastjson             0.99.7-1                    -
                          libgeotiff              1.4.2-1            1.4.2-2.0
                          liblogging              1.0.6-1                    -
                        libmediainfo          18.03.1-1.0            18.05-2.0
                           libphobos          1:2.074.0-1                    -
                libretro-mupen64plus               4427-1                    -
               libretro-pcsx-rearmed               1346-1                    -
                       libspatialite          4.3.0.a-2.1          4.3.0.a-3.0
                            lilyterm            0.9.9.2-2                    -
                            linphone             3.12.0-1                    -
                    linuxtv-dvb-apps               1504-1                    -
                            lollypop          0.9.508-1.0          0.9.512-1.0
                              lomoco               1.0-11                    -
                     lua-messagepack              0.3.7-1                    -
                        lua-testmore              0.3.2-1                    -
                            lua-zlib              1:1.1-1                    -
                                 lwp                2.6-3                    -
                     lxterminal-gtk3              0.3.1-1                    -
                              mapnik           3.0.19-2.0           3.0.20-1.0
                              marked           0.3.19-1.0            0.4.0-1.0
                   materia-gtk-theme         20180321-1.0         20180519-1.0
                           mediainfo          18.03.1-1.0            18.05-2.0
                       mediainfo-gui          18.03.1-1.0            18.05-2.0
                          merkaartor             0.18.3-2           0.18.3-3.0
                               mixxx           2.0.0-13.0            2.1.0-1.0
                             mod_itk          2.4.7.r04-1                    -
                            moinmoin              1.9.9-2                    -
                              motion            4.1.1-1.0                    -
                             mp32ogg              0.11-10                    -
                             mp3gain              1.5.2-3                    -
                             mp3info             0.8.5a-6           0.8.5a-7.0
                                mpck               0.21-1                    -
                                mrtg             2.17.4-2                    -
                          mustache-d              0.1.3-2                    -
                               neatx           0.3.1-15.1                    -
                             nemesis                1.4-6                    -
                            neofetch            4.0.1-1.0            4.0.2-1.0
                            nestopia               1.48-1                    -
                                net6             1.3.14-5                    -
                            netcount               0.8i-7                    -
                           netselect                0.3-3                    -
                          newt-syrup              0.2.0-1                    -
                 nginx-mod-pagespeed          1.12.34.3-2                    -
                    nodejs-lts-argon            4.9.1-1.0                    -
                           notepadqq            1.4.4-1.0            1.4.8-1.0
                                 nsd           4.1.20-1.0           4.1.21-1.0
                         opencascade              6.9.1-7                    -
                            openipmi           2.0.24-1.1           2.0.25-1.0
                         openvswitch            2.9.0-1.0            2.9.1-1.0
                 opera-ffmpeg-codecs     62.0.3202.94-2.0                    -
                           osinfo-db         20180416-1.0         20180514-1.0
                                 p2c        1.21alpha2-11                    -
                              p3scan             2.3.2-12                    -
                            paintown              3.6.0-3                    -
                                 pan            0.144-2.0            0.145-1.0
                              parity           1.8.11-1.0                    -
                              parrot              8.1.0-6                    -
                                pawm              2.3.0-3                    -
                                pdal            1.6.0-3.0            1.6.0-4.0
                              pdmenu              1.3.2-2                    -
                       perl-cpanplus             0.9172-1           0.9174-1.0
                perl-datetime-locale             1.18-1.0             1.20-1.0
          perl-file-sharedir-install               0.11-3             0.13-1.0
                       perl-xml-fast              0.11-10                    -
                           phantomjs              2.1.1-9                    -
                               php71           7.1.14-1.2                    -
                        php71-apache           7.1.14-1.2                    -
                          php71-apcu           5.1.10-1.0                    -
                           php71-cgi           7.1.14-1.2                    -
                         php71-dblib           7.1.14-1.2                    -
                         php71-embed           7.1.14-1.2                    -
                       php71-enchant           7.1.14-1.2                    -
                           php71-fpm           7.1.14-1.2                    -
                            php71-gd           7.1.14-1.2                    -
                          php71-imap           7.1.14-1.2                    -
                          php71-intl           7.1.14-1.2                    -
                        php71-mcrypt           7.1.14-1.2                    -
                          php71-odbc           7.1.14-1.2                    -
                         php71-pgsql           7.1.14-1.2                    -
                        php71-phpdbg           7.1.14-1.2                    -
                        php71-pspell           7.1.14-1.2                    -
                          php71-snmp           7.1.14-1.2                    -
                        php71-sqlite           7.1.14-1.2                    -
                          php71-tidy           7.1.14-1.2                    -
                           php71-xsl           7.1.14-1.2                    -
                   pidgin-encryption                3.1-3                    -
                      pidgin-toobars               1.14-2                    -
          pjproject-savoirfairelinux              2.6-7.0                    -
              pkgbuild-introspection                  8-1                    -
                             postgis            2.4.4-1.0            2.4.4-2.0
                                proj              4.9.3-1            5.0.1-1.0
                        psi-nowebkit              1.3-4.0                    -
                            psi-plus          1.2.164-1.0                    -
                       psi-plus-l10n            1.2.105-1                    -
                    psi-plus-plugins                1.3-1                    -
                               pymol            1.8.6.0-3            2.1.0-2.0
                 pyside-tools-common             0.2.15-4                    -
                        python-boto3           1.7.21-1.0           1.7.24-1.0
                     python-botocore          1.10.21-1.0          1.10.24-1.0
                      python-cheroot            6.3.0-2.0            6.3.1-1.0
                     python-colorlog              3.1.0-2                    -
                         python-docs            3.6.4-1.0            3.6.5-1.0
                          python-fxa            0.5.0-1.0            0.6.0-1.0
                         python-gdal            2.2.4-4.0            2.3.0-1.0
                       python-nbxmpp            0.6.5-1.0            0.6.6-1.0
                    python-pycountry          18.2.23-1.0          18.5.20-1.0
                        python-pypdf               1.13-4                    -
                       python-pyproj            1.9.5.1-4          1.9.5.1-5.0
                         python-pyro             4.71-1.0             4.72-1.0
                 python-pyside-tools             0.2.15-4                    -
                        python-vcrpy             1.11.1-1           1.12.0-1.0
                       python2-boto3           1.7.21-1.0           1.7.24-1.0
                    python2-botocore          1.10.21-1.0          1.10.24-1.0
                     python2-cheroot            6.3.0-2.0            6.3.1-1.0
                    python2-colorlog              3.1.0-2                    -
                        python2-docs           2.7.14-1.0           2.7.15-1.0
                  python2-fastimport              0.9.6-1            0.9.8-1.0
                         python2-fxa            0.5.0-1.0            0.6.0-1.0
                        python2-gdal            2.2.4-4.0            2.3.0-1.0
                      python2-nbxmpp            0.6.5-1.0            0.6.6-1.0
                        python2-pivy           20101207-2                    -
                    python2-pyassert            0.4.2-3.1                    -
                   python2-pybuilder            0.11.10-1                    -
                   python2-pycountry          18.2.23-1.0          18.5.20-1.0
                       python2-pyfix            0.2.3-3.1                    -
                      python2-pyproj            1.9.5.1-4          1.9.5.1-5.0
                        python2-pyro             4.71-1.0             4.72-1.0
                python2-pyside-tools             0.2.15-4                    -
                        python2-raet              0.6.8-1                    -
                       python2-vcrpy             1.11.1-1           1.12.0-1.0
                    python2-zeroconf           0.20.0-1.0                    -
                                qgis            3.0.2-1.0            3.0.3-1.0
                           qmapshack           1.11.0-1.0           1.11.1-1.0
                              qt4pas                2.5-8                    -
                               qtmpc              0.6.1-6                    -
                            qupzilla            2.2.5-3.0                    -
                         qutebrowser            1.2.1-1.0            1.3.0-1.0
                              restic            0.8.3-3.0            0.9.0-1.0
                      rocksndiamonds          4.0.1.4-1.0          4.1.0.0-1.0
                     ruby-pkg-config            1.3.0-1.0            1.3.1-1.0
                        ruby-unicorn            1.0.1-3.0                    -
                     ruby2.3-bundler           1.16.1-1.0           1.16.2-1.0
                          rust-racer           2.0.13-1.0           2.0.14-1.0
                        sagemath-doc              8.0-1.0                    -
                        sagemath-src              8.0-1.0                    -
                            shapelib            1.4.1-1.0            1.4.1-2.0
                                soqt              1.5.0-9                    -
                                 stk              4.5.1-1            4.6.0-1.0
                          svgcleaner            0.9.4-1.0            0.9.5-1.0
                   syncthing-inotify              0.8.7-2                    -
                           systemtap                3.1-5                    -
                    telegram-desktop           1.2.20-1.0           1.2.21-1.0
                             trickle               1.07-9                    -
                           uglify-js           3.3.25-1.0           3.3.26-1.0
                            urlwatch              2.9-1.0             2.11-1.0
                        uzbl-browser1:0.9.1+95+g3a4c70ad-1                    -
                           uzbl-core1:0.9.1+95+g3a4c70ad-1                    -
                         uzbl-tabbed1:0.9.1+95+g3a4c70ad-1                    -
                       vim-syntastic              3.8.0-2            3.9.0-1.0
                          volumeicon              0.5.1-1            0.5.1-2.0
                             vte3-ng           0.50.2.a-1                    -
                                 vtk            8.1.0-5.0            8.1.0-6.0
                                vtk6           6.3.0-11.0                    -
                                  wt            4.0.2-3.0            4.0.3-1.0
                               wxcam               1.1-10                    -
                            wxpython          3.0.2.0-7.0                    -
                         x42-plugins         20170428-3.0         20180320-1.0
                       xf86miscproto              0.9.3-1                    -
                               xmove           2.0beta2-6                    -

#27

I can’t see a way to do this programmatically as ‘testing’ contains packages for both ‘core’ and ‘extra’ with no information about their intended destination.

The way I’ve approached the merge is to treat each repo as a generic object, allowing any arbitrary repo to be merged into any other based on the packages it contains:

def merge_from(other)
  puts "Merging #{other.repo} into #{@repo}..."
  newer_count = 0
  @packages.each do |name, pkg|
    if other[name] && other[name].newer_than?(pkg)
      add(other[name])
      newer_count += 1
    end
  end
  puts "=> #{newer_count} new packages in #{@repo}!"
end

This means I can’t simply put packages that are not already in the repos into one or the other without making each repo a special case, and simply adding everything into ‘extra’ will break things when there are multiple entries for a package or a package “moves” from repo to repo.

I suspect the “fix” is to cherry-pick these specific packages and add them to the overlay, then remove them when they move out of ‘testing’.


#28

please i have troubles to update gimp recently theres some dependences loosing … libmypaint et pypaint-brushes …so i can’t update gimp 2.8

So am i the only guy to report this trouble ?

Thanks in advance


[manjaro32] Out-of-date Manjaro package report
#29

See this post for more explanation:

@jonathon, qt5ct isn’t in manjaro32 repos, it is in archlinux32. https://packages.archlinux32.org/community/i686/qt5ct/

It is not in Manjaro x86_64, though.


#30

thanks for your answer … i delete gimp for the moment waiting for an official update…otherwise i have another package which can’t be installed its “libblockdev” it require ndctl

i don’t know what should i do ?


#31

OK, cherry-picked packages:

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                          libmypaint                    -            1.3.0-5.0
                     mypaint-brushes                    -            1.3.0-2.0
                               ndctl                    -             60.3-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             remmina  1:1.2.0rcgit.29-2.0         1:1.2.30-1.0

Update Fehlgeschlagen - libmypaint, mypaint-brushes, gimp
#32

1.20 not working at all on my machine. will not go past login screen. I can boot to command line via grub, but running startx command results in a bunch of Fatal IO errors with connection to the X server lost and X server shutting down.


#33

Unless someone can find a workaround it’s the end of the line for nvidia*.


#34

Now the update of

2  extra/gimp         2.8.22-1 -> 2.10.0-6.0
1  extra/libblockdev  2.16-1.0 -> 2.17-3.0

worked, gimp starts.


#35

I’m now booting the kernel linux414 with the reversed boot parameters
radeon.si_support=1 radeon.cik_support=1 amdgpu.si_support=0 amdgpu.cik_support=0
and RADEON is being used, so I’m able to test linux414 now. Older kernels don’t work with btrfs compress=zstd.


#36
:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         fuse-common            3.2.2-2.0            3.2.3-1.0
                               fuse3            3.2.2-2.0            3.2.3-1.0
                          libgphoto2           2.5.17-1.0           2.5.18-1.0
                                 mpd          0.20.19-1.0          0.20.20-1.0
                          postgresql             10.4-2.0             10.4-3.0
                     postgresql-docs             10.4-2.0             10.4-3.0
                     postgresql-libs             10.4-2.0             10.4-3.0
                      python-astroid            1.6.3-1.0            1.6.4-1.0
                       python-pylint            1.8.4-1.0            1.9.1-1.0
                     python2-astroid            1.6.3-1.0            1.6.4-1.0
                      python2-pylint            1.8.4-1.0            1.9.1-1.0
                            rubygems            2.7.6-1.0            2.7.7-1.0
                   ffnvcodec-headers                    -         8.1.24.2-2.0
                         iucode-tool                    -            2.3.1-2.0
                          libnss_nis                    -              3.0-1.0
                               ndctl                    -             60.3-1.0
                        rpcsvc-proto                    -            1.3.1-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         aircrack-ng              1.2-2.0              1.2-3.0
                             busybox           1.28.3-1.0           1.28.4-1.0
               cinnamon-translations            3.8.0-1.0            3.8.1-1.0
                                 dcd            0.9.7-1.0            0.9.8-1.0
                         debootstrap           1.0.99-1.0          1.0.100-1.0
              deepin-desktop-schemas           3.2.11-1.0           3.2.12-1.0
                       deepin-go-lib            1.2.9-1.0           1.2.10-1.0
                            dscanner            0.5.2-1.0            0.5.5-1.0
  firefox-developer-edition-i18n-ach           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-af           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-an           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ar           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-as           61.0b6-1.0           61.0b7-1.0
  firefox-developer-edition-i18n-ast           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-az           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-be           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-bg           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-bn-bd           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-bn-in           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-br           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-bs           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ca           61.0b6-1.0           61.0b7-1.0
  firefox-developer-edition-i18n-cak           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-cs           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-cy           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-da           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-de           61.0b6-1.0           61.0b7-1.0
  firefox-developer-edition-i18n-dsb           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-el           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-en-gb           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-en-us           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-en-za           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-eo           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-es-ar           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-es-cl           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-es-es           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-es-mx           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-et           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-eu           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-fa           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ff           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-fi           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-fr           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-fy-nl           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-ga-ie           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-gd           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-gl           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-gn           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-gu-in           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-he           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-hi-in           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-hr           61.0b6-1.0           61.0b7-1.0
  firefox-developer-edition-i18n-hsb           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-hu           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-hy-am           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ia           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-id           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-is           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-it           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ja           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ka           61.0b6-1.0           61.0b7-1.0
  firefox-developer-edition-i18n-kab           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-kk           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-km           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-kn           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ko           61.0b6-1.0           61.0b7-1.0
  firefox-developer-edition-i18n-lij           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-lt           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-lv           61.0b6-1.0           61.0b7-1.0
  firefox-developer-edition-i18n-mai           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-mk           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ml           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-mr           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ms           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-my           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-nb-no           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-ne-np           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-nl           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-nn-no           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-or           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-pa-in           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-pl           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-pt-br           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-pt-pt           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-rm           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ro           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ru           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-si           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-sk           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-sl           61.0b6-1.0           61.0b7-1.0
  firefox-developer-edition-i18n-son           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-sq           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-sr           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-sv-se           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ta           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-te           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-th           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-tr           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-uk           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-ur           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-uz           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-vi           61.0b6-1.0           61.0b7-1.0
   firefox-developer-edition-i18n-xh           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-zh-cn           61.0b6-1.0           61.0b7-1.0
firefox-developer-edition-i18n-zh-tw           61.0b6-1.0           61.0b7-1.0
                     geoip2-database         20180207-1.0         20180522-1.0
                              gitlab           10.7.3-1.0           10.8.0-1.0
                       gitlab-gitaly           0.98.0-1.0          0.102.0-1.0
                    gitlab-workhorse            4.1.0-2.0            4.2.0-1.0
                              glider            0.5.1-1.0            0.5.2-1.0
                                 glm          0.9.8.5-2.0          0.9.9.0-1.0
                           isomd5sum            1.2.2-1.0            1.2.3-1.0
                               kitty            0.9.1-1.0           0.10.0-1.0
                          metasploit          4.16.56-1.0          4.16.57-1.0
                         nodejs-less            3.0.0-1.0            3.0.4-1.0
                           pax-utils            1.2.3-2.0            1.2.3-3.0
                     percona-toolkit            3.0.8-1.0           3.0.10-1.0
                   powerdns-recursor            4.1.2-1.0            4.1.3-1.0
                    python-braintree           3.45.0-1.0           3.46.0-1.0
                    python-chameleon                3.2-1              3.3-1.0
                       python-distro            1.2.0-2.0            1.3.0-1.0
                    python-isomd5sum            1.2.2-1.0            1.2.3-1.0
                        python-magic               5.29-2             5.30-1.0
             python-os-client-config           1.29.0-1.0           1.31.1-1.0
               python-pytest-asyncio              0.6.0-1            0.8.0-1.0
                        python-scipy            1.0.1-1.0            1.0.1-2.0
                         python-tqdm           4.23.3-1.0           4.23.4-1.0
                   python2-braintree           3.45.0-1.0           3.46.0-1.0
                   python2-chameleon                3.2-1              3.3-1.0
                      python2-distro            1.2.0-2.0            1.3.0-1.0
                   python2-isomd5sum            1.2.2-1.0            1.2.3-1.0
                       python2-magic               5.29-2             5.30-1.0
            python2-os-client-config           1.29.0-1.0           1.31.1-1.0
                       python2-scipy            1.0.1-1.0            1.0.1-2.0
                python2-subprocess32            3.5.0-1.0            3.5.1-1.0
                        python2-tqdm           4.23.3-1.0           4.23.4-1.0
                            qjackctl            0.5.0-1.0            0.5.1-1.0
                            qmidinet            0.5.0-1.0            0.5.1-1.0
                              qsynth            0.5.0-1.0            0.5.1-1.0
                      ruby-async-dns            1.1.1-1.0            1.2.0-1.0
                       ruby-async-io           1.12.0-1.0           1.12.1-1.0
                       ruby-mail-gpg            0.3.3-1.0            0.4.0-1.0
                           ruby-rdoc            6.0.3-1.0            6.0.4-1.0
                             stunnel             5.44-3.0             5.45-1.0
                             thefuck             3.26-1.0             3.27-1.0
                           uglify-js           3.3.26-1.0           3.3.27-1.0
                vim-colorsamplerpack         2012.10.28-4       2012.10.28-5.0
                           vim-vital    3113.982e0bf3-2.0    3183.a8773a35-1.0
            xfce4-whiskermenu-plugin            2.1.7-1.0            2.2.0-1.0
                             xreader            1.8.1-1.0            1.8.2-1.0
                 zsh-autosuggestions            0.4.2-2.0            0.4.3-1.0
                            badtouch                    -            0.5.1-3.0
                             buildah                    -              1.0-1.0
              deepin-go-dbus-factory                    -            0.0.3-1.0
                             dhcping                    -              1.2-2.0
                              docopt                    -            0.6.2-1.0
                           fox-devel                    -           1.7.64-1.0
                               gcc54                    -            5.4.1-1.0
                       gdb-dashboard                    -            0.4.0-2.0
                           glbinding                    -            2.1.4-1.0
                           gogglesmm                    -            1.1.9-4.0
                             gpodder                    -           3.10.1-1.0
                     liri-qbs-shared                    -            1.2.0-1.0
                                mame                    -            0.197-2.0
                          primecount                    -              4.4-1.0
                          pulsemixer                    -            1.4.0-2.0
                 python-cachecontrol                    -           0.12.4-1.0
                      python-distlib                    -            0.2.7-1.0
                      python-jeepney                    -            0.3.1-1.0
                python-podcastparser                    -            0.6.3-1.0
                     python-progress                    -              1.3-2.0
                 python-pycryptodome                    -            3.6.1-2.0
                   python-pysendfile                    -            2.0.1-1.0
                           python-z3                    -            4.6.0-2.0
                python2-cachecontrol                    -           0.12.4-1.0
                     python2-distlib                    -            0.2.7-1.0
               python2-podcastparser                    -            0.6.3-1.0
                    python2-progress                    -              1.3-2.0
                python2-pycryptodome                    -            3.6.1-2.0
                  python2-pysendfile                    -            2.0.1-1.0
                          python2-z3                    -            4.6.0-2.0
                       qt5-gsettings                    -            1.2.0-1.0
                      radare2-cutter                    -              1.4-1.0
          riscv64-linux-gnu-binutils                    -             2.30-1.0
 riscv64-linux-gnu-linux-api-headers                    -             4.16-1.0
                           ropgadget                    -              5.4-1.0
                            rshijack                    -            0.3.0-2.0
                   ruby-power_assert                    -            1.1.1-1.0
                      ruby-test-unit                    -            3.2.8-2.0
                              skopeo                    -           0.1.29-1.0
                           sniffglue                    -            0.5.0-3.0
                                  sx                    -              1.1-1.0
                             vim-ale                    -            1.8.0-1.0
                                zzuf                    -             0.15-2.0

#37

FWIW: Just updated my old Asus EEEPC 1000HE with Manjaro 32 testing (xorg 1.20, gcc 8.10 …) and it works flawlessly!

LXDE runs in 222 MB, XFCE in 270, Mate in 290 MB. System is pretty usable with 1GB ram. What a bliss!! Video is intel 945GSE.

Thanks a lot, please keep up the good work


#38

Winding up towards a stable snap.

Let’s check GIMP keeps working:

:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                babl           0.1.46-2.0           0.1.50-1.0
                                gegl            0.4.0-2.0            0.4.2-1.0
                                gimp           2.10.0-6.0           2.10.2-1.0
                             ilmbase            2.2.1-1.0            2.2.1-2.0
                          python-xdg               0.25-4             0.26-1.0
                         python2-xdg               0.25-4             0.26-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
              deepin-desktop-schemas           3.2.12-1.0           3.2.12-2.0
                   deepin-wallpapers          1:1.7.2-1.0          1:1.7.3-1.0
                             fractal           0.1.29-1.0           0.1.30-1.0
                             git-lfs            2.4.0-1.0            2.4.1-1.0
                      python-dropbox            8.7.1-1.0            8.9.0-1.0
                 python-scikit-learn           0.19.1-1.0           0.19.1-3.0
                  python-statsmodels              0.8.0-1            0.9.0-1.0
                     python2-dropbox            8.7.1-1.0            8.9.0-1.0
                python2-scikit-learn           0.19.1-1.0           0.19.1-3.0
                 python2-statsmodels              0.8.0-1            0.9.0-1.0
                            redshift             1.11-5.0             1.12-1.0
                                 tor         0.3.2.10-1.0          0.3.3.6-1.0

#39

…at least keeps updating…:rofl:


#40

An update for Manjaro packages, and a rebuild of xf86-video-ati which might help with Xf86-video-ati and xorg-server are in conflict (X-ABI-VIDEODRV_VERSION>=20)

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                      xf86-video-ati                    -        1:18.0.1-2.00


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              brandr                0.2-3                0.3-1
                    bspwm-wallpapers           20180128-1           20180522-1
                            cinnamon              3.8.2-3              3.8.3-1
                     cinnamon-sounds                5.5-1                5.7-1
                           limepanel 0.41.r123.g4a4023f-1 0.43.r126.gbd57eb7-1
            manjaro-browser-settings           20180317-1           20180523-1
          manjaro-openbox-extra-skel             1.18.4-2             1.18.7-1
        manjaro-openbox-minimal-skel             1.18.4-2             1.18.7-1
          manjaro-openbox-theme-18.0               1.18-1               1.18-2
         manjaro-openbox-theme-fonts               1.18-1               1.18-2
                 nerd-fonts-terminus              1.1.0-1              2.0.0-1
                                 pix              1.8.0-1              1.8.1-1
                           sterminal                0.8-1                0.9-1
                         vlc-nightly     3.0.2v20180321-1     3.0.3v20180520-1
                  webdad-theming-git        r13.3bfbe1c-1        r14.95a69f6-1
       xfce4-whiskermenu-plugin-gtk3              2.1.7-1              2.2.0-1
                      budgie-desktop                    -  10.4+71+g260a26f3-1
                          gimp-devel                    -             2.10.2-1
            manjaro-gnome-assets-dev                    -           20180523-1
         manjaro-openbox-adapta-maia                    -                1.0-1
     manjaro-openbox-grub-theme-blue                    -                1.0-1
     manjaro-openbox-wallpapers-18.0                    -                1.0-3
              ttf-nerd-fonts-symbols                    -              2.0.0-3
                  wpa_supplicant_gui                    -                2.6-2